org.h2.command.dml

## Class ExecuteProcedure

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.dml.ExecuteProcedure

    public class ExecuteProcedure
    extends Prepared

This class represents the statement EXECUTE

### Field Summary

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`ExecuteProcedure(Session session)`

### Method Summary

Methods
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isQuery()` Check if this object is a query.
`boolean` `isTransactional()` Check if this command is transactional.
`ResultInterface` `query(int limit)` Execute the query.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setExpression(int index, Expression expr)` Set the expression at the given index.
`void` `setProcedure(Procedure procedure)`
`int` `update()` Execute the statement.

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSQL, getSQL, getSQL, isCacheable, isReadOnly, needRecompile, prepare, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExecuteProcedure

    public ExecuteProcedure(Session session)

### Method Detail

#### setProcedure

    public void setProcedure(Procedure procedure)

#### setExpression

    public void setExpression(int index,
                     Expression expr)

Set the expression at the given index.

Parameters:
  `index` - the index (0 based)
  `expr` - the expression

#### isQuery

    public boolean isQuery()

Description copied from class: `Prepared`
Check if this object is a query.

Overrides:
  `isQuery` in class `Prepared`
Returns:
  true if it is

#### update

    public int update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### query

    public ResultInterface query(int limit)

Description copied from class: `Prepared`
Execute the query.

Overrides:
  `query` in class `Prepared`
Parameters:
  `limit` - the maximum number of rows to return
Returns:
  the result set

#### isTransactional

    public boolean isTransactional()

Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

#### queryMeta

    public ResultInterface queryMeta()

Description copied from class: `Prepared`
Get an empty result set containing the meta data.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type